Name:           gramps
Version:        2.2.8
Release:        3%{?dist}
Summary:        Genealogical Research and Analysis Management Programming System

Group:          Applications/Productivity
License:        GPL
URL:            http://gramps.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:  gnome-python2-canvas
BuildRequires:  gnome-python2-gconf
BuildRequires:  gnome-vfs2-devel
BuildRequires:  pygtk2-libglade
BuildRequires:  python-devel
BuildRequires:  scrollkeeper
BuildRequires:	gnome-doc-utils

Requires:       gnome-python2-canvas
Requires:       gnome-python2-gconf
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2
Requires:	gnome-python2-gnomeprint
Requires:	gnome-python2-gtkspell
Requires:       ImageMagick
Requires:	freefont
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       rcs
Requires:	python-reportlab
Requires:	graphviz
Requires:	yelp

Requires(pre): 	GConf2
Requires(post): desktop-file-utils
Requires(post): scrollkeeper
Requires(post): GConf2
Requires(preun):  GConf2
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper


%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.


%prep
%setup -q


%build
%configure --disable-schemas-install --disable-scrollkeeper --disable-mime-install
make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall GNOME_DATADIR="${RPM_BUILD_ROOT}%{_datadir}"
#Remove duplicate doc
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/COPYING

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp -p $RPM_BUILD_ROOT%{_datadir}/%{name}/images/%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --remove-category Application				\
  --remove-category Genealogy				\
  --add-category GTK					\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%postun
scrollkeeper-update -q || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS FAQ NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/omf/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/icons/gnome/scalable/mimetypes/*.svg
%{_datadir}/pixmaps/%{name}.png
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/gnome/help/%{name}/


%changelog
* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-3
- Remove depreciated desktop file categories, and add category on gtk.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-2
- Add requires on yelp. (#243399)

* Mon May 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.8-1
- Update to 2.2.8.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.7-1
- Update to 2.2.7.

* Mon Jan 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.6-1
- Update to 2.2.6.

* Sun Jan 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.2.5-1
- Update to 2.2.5.

* Wed Dec 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-3
- Add requires on gnome-python2-gtkspell & freefont.

* Tue Dec 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-2
- Add gramp.png to files.

* Tue Dec 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.3-2
- Rebuild against new python.

* Mon Nov 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3.
- Add scalable mimetype icons to files section.

* Sat Nov  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2.
- Add scriptlet for gtk+ icon cache.
- Disable scrollkeeper & mime-install in configure.
- Simplify files since we are no longer ghosting *.pyo files.
- Drop X-Fedora desktop category.
- Add BR on gnome-doc-utils.

* Wed Sep  6 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0.11-5
- Don't ghost *.pyo files.

* Sat Sep  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0.11-4
- Rebuild for FC6.
- Remove requires on python, it's no longer needed.
- Use --disable-schemas-install to config.
- Add BR for perl(XML::Parser).

* Mon May  1 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.11-3
- Update to 2.0.11.
- Drop INSTALL, README & ChangeLog documentation.
- Ghost .pyo files.

* Sat Mar 11 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.10-3
- Remove Utility category from desktop file.
- Update scriptlets.

* Tue Feb 28 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.10-2
- Update to 2.0.10.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-6
- Remove unnecessary BR (gnome-python2-gnomevfs, pygtk2, gnome-python2, GConf2). 

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-4
- Add require for shared-mime-info.
- Remove mime.cache.
- Use python-abi.

* Wed Dec 14 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-3
- Add requires for gnome-python2-gnomeprint.

* Tue Dec 13 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.9-2
- Make noarch. (#170974)
- Update to 2.0.9.

* Wed Sep  7 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.8-2
- Update to 2.0.8.

* Wed Aug 17 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.6-3
- Specify ver for python-reportlab.

* Mon Aug 15 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.6-2
- Update to 2.0.6.
- Bump minimum ver for python.
- Add requires for python-reportlab & graphviz for reports.

* Wed Jul  6 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.5-1
- Update to 2.0.5.

* Wed Jun 29 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.4-1
- Update to 2.0.4.

* Sat Jun 18 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.3-1
- Update to 2.0.3.
- Add dist tag.

* Sat May 21 2005 Brian Pepple <bdpepple@ameritech.net> - 2.0.0-1
- Update to 2.0.0.
- Add mime info.
- Use more macros.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 06 2005 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.10-1
- 1.0.10.

* Sun Nov 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-3
- Version bump.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.2
- Spec cleanup.

* Sat Nov 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.1
- 1.0.8.

* Wed Aug 18 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.7-0.fdr.1
- Update to 1.0.7.

* Sat Jul 31 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.5-0.fdr.1
- Update to 1.0.5.

* Wed Jul 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.4-0.fdr.1
- Update to 1.0.4.

* Thu Apr 22 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.3-0.fdr.1
- Update to 1.0.3.

* Tue Apr 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.2
- Dropped unneccessary BuildReqs.
- Removed Requires(foo,bar) notation.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.1
- Update to 1.0.2.
- Using upstream desktop entry.

* Sat Feb 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.1.0-0.fdr.1
- Update to 1.0.1.

* Mon Jan 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.98.0-0.fdr.1
- Update to 0.98.0.

* Sat Nov 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.5
- dropped smp_mflags.

* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.4
- Req gnome-python2.

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.3
- BuildReq gnome-python2.

* Mon Nov 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.2
- Modifications to desktop entry.
- Reqs ImageMagick and rcs.

* Fri Oct 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.1
- Initial RPM release.
